ALTER SESSION SET CURRENT_SCHEMA = TFGADMIN;


/*
--borrar datos de las tablas inicializadas

DECLARE
   TYPE arrayType IS varray(23) OF VARCHAR2(25);
   table_name arrayType := arrayType (
     'DepartmentArea', 'Department', 'Category', 'Rol',
     'ReasonSubstitution', 'ResultDeployOnProduction', 'GeographicZone'
   );
BEGIN
    FOR i IN 1..table_name.COUNT
    LOOP
      BEGIN
         -- dbms_output.put_line(table_name(i));
         EXECUTE IMMEDIATE 'TRUNCATE TABLE ' || table_name(i);
      EXCEPTION
         WHEN OTHERS THEN
            -- dbms_output.put_line('error:' || table_name(i));
            IF SQLCODE != -942 THEN
               RAISE;
            END IF;
      END;
    END LOOP;
END;
*/


/*
 * Department
 */

INSERT INTO Department (name) VALUES ('Informática');


/*
 * DepartmentArea
 */

INSERT INTO DepartmentArea (departmentID, name) SELECT departmentID, 'Soporte a usuario' FROM Department WHERE name = 'Informática';
INSERT INTO DepartmentArea (departmentID, name) SELECT departmentID, 'Redes' FROM Department WHERE name = 'Informática';
INSERT INTO DepartmentArea (departmentID, name) SELECT departmentID, 'Infraestructuras' FROM Department WHERE name = 'Informática';
INSERT INTO DepartmentArea (departmentID, name) SELECT departmentID, 'Aplicaciones' FROM Department WHERE name = 'Informática';
INSERT INTO DepartmentArea (departmentID, name) SELECT departmentID, 'Auditoría' FROM Department WHERE name = 'Informática';
INSERT INTO DepartmentArea (departmentID, name) SELECT departmentID, 'Seguridad' FROM Department WHERE name = 'Informática';


/*
 * Category
 */

INSERT INTO Category (categoryID, description) VALUES (1, 'Cambio crítico');
INSERT INTO Category (categoryID, description) VALUES (2, 'Cambio standard');
INSERT INTO Category (categoryID, description) VALUES (3, 'Cambio poco importante');


/*
 * Criticality
 */

INSERT INTO Criticality (description, criticalityLevel) VALUES ('Alta criticidad', 1);
INSERT INTO Criticality (description, criticalityLevel) VALUES ('Media criticidad', 2);
INSERT INTO Criticality (description, criticalityLevel) VALUES ('Baja criticidad', 3);


/*
 * Rol
 */

INSERT INTO Rol VALUES (1, 'Responsable técnico');
INSERT INTO Rol VALUES (2, 'Coordinador áreas de negocio');
INSERT INTO Rol VALUES (3, 'Gestor de cambios');
INSERT INTO Rol VALUES (4, 'Miembro GCAB');


/*
 * ReasonSubstitution
 */

INSERT INTO SubstitutionReason (reason, planned) VALUES ('Vacaciones', 'Y');
INSERT INTO SubstitutionReason (reason, planned) VALUES ('Permiso', 'Y');
INSERT INTO SubstitutionReason (reason, planned) VALUES ('Enfermedad', 'N');
INSERT INTO SubstitutionReason (reason, planned) VALUES ('Despido', 'N');


/*
 * ExecutionResult
 */

INSERT INTO ExecutionResult VALUES (1, 'Ejecución correcta', 'N');
INSERT INTO ExecutionResult VALUES (2, 'Ejecución con incidencias', 'Y');
INSERT INTO ExecutionResult VALUES (3, 'Ejecución replanificada', 'Y');


/*
 * ApprovalStatus
 */

INSERT INTO ApprovalStatus VALUES (0, 'Pendiente');
INSERT INTO ApprovalStatus VALUES (1, 'Aprobado');
INSERT INTO ApprovalStatus VALUES (2, 'Rechazado');

COMMIT;