ALTER SESSION SET CURRENT_SCHEMA = TFGADMIN;

--ALTER SESSION SET NLS_DATE_FORMAT = 'DD-MM-YYYY HH24:MI:SS'

/*
 * Tabla de Log
 */

CREATE TABLE Log (
  logID NUMBER(5) GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
  procedureName VARCHAR2(128) NOT NULL,
  paramValues VARCHAR2(512),
  rsp VARCHAR2(512) NOT NULL,
  timestamp DATE DEFAULT SYSDATE,
  dbUser VARCHAR2(32) DEFAULT USER
);

COMMENT ON COLUMN Log.procedureName IS 'Nombre del procedimiento';
COMMENT ON COLUMN Log.paramValues IS 'Parámetros de entrada';
COMMENT ON COLUMN Log.rsp IS 'Valor de retorno del procedimiento.';
