--DROP PACKAGE pkg_log;

CREATE OR REPLACE PACKAGE pkg_log AS

  PROCEDURE insertLog (
    p_procedureName VARCHAR2,
    p_paramValues VARCHAR2,
    RSP VARCHAR2
  );

END pkg_log;

CREATE OR REPLACE PACKAGE BODY pkg_log AS

  PROCEDURE insertLog (
    p_procedureName VARCHAR2,
    p_paramValues VARCHAR2,
    RSP VARCHAR2
  ) AS
  BEGIN
    INSERT INTO Log (procedureName, paramValues, rsp, timestamp, dbUser) VALUES (p_procedureName, p_paramValues, RSP, SYSDATE, USER); 
    COMMIT;
  END insertLog;

END pkg_log;