CREATE UNIQUE INDEX idx_GeographicZone_name ON GeographicZone(name);

CREATE UNIQUE INDEX idx_GCAB_isChangeManager ON GCAB(CASE WHEN isChangeManager = 'Y' THEN isChangeManager END);

CREATE INDEX idx_Person_familyName_givenName ON Person(familyname, givenname);

CREATE UNIQUE INDEX idx_BusinessArea_name ON BusinessArea(name);

CREATE UNIQUE INDEX idx_Substitution_rolID_substituteID ON Substitution(rolID, substituteID);

CREATE UNIQUE INDEX idx_App_name ON App(name);

CREATE UNIQUE INDEX idx_AppBusinessArea_appID_businessAreaID ON AppBusinessArea(appID, businessAreaID);

CREATE UNIQUE INDEX idx_AppGeographicScope_appID_geographicZoneID ON AppGeographicScope(appID, geographicZoneID);

CREATE INDEX  idx_Change_appID_changeDate ON Change(appID, changeDate DESC);

CREATE UNIQUE INDEX idx_ChangeActionPlan_changeID ON ChangeActionPlan(changeID);

CREATE INDEX idx_ChangeActionPlanDetail_actionPlanID ON ChangeActionPlanLine(actionPlanID);

CREATE UNIQUE INDEX idx_ChangeAudit_changeID ON ChangeAudit(changeID);

CREATE INDEX idx_ChangeAudit_auditID ON ChangeAuditDetail(auditID);

CREATE INDEX idx_Substitution_rolID_position ON Substitution(rolID, position);
